Show / Hide Table of Contents

# Delegate ResultSet.ResultSetAsyncEventHandler

Asynchronous handler for when a resultset has completed

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task ResultSetAsyncEventHandler(ResultSet resultSet);

##### Parameters

Type | Name | Description
--- | --- | ---
ResultSet | resultSet | The result set that completed

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |